<template>
  <div>
      <el-row :gutter="0" class="row" >
        <el-col :class="getIntermediasiRoleGroupColSize(1, 'col-', '')" v-for="item in intermediasiRole" :key="item.id">
          <el-row :gutter="40" class="mid">
            <el-col :xs="12" :sm="12" :lg="6" class="padd-icon-left">
              <div :class="getIntermediasiRoleGroupColor(1, 'icon-', '')">
                <svg-icon icon-class="farmer" class-name="card-panel-icon" />
              </div>
            </el-col>
            <el-col :xs="12" :sm="12" :lg="18" class="padd-icon-right --more">
              <div class="card-panel-text-black">{{ item.role_name }}</div>
            </el-col>
          </el-row>
          <div class="progress progress-padd">
            <transition appear>
              <el-progress :text-inside="true" :stroke-width="35" :percentage="item.percent" :class="getIntermediasiRoleGroupColor(1, '', '')"></el-progress>
            </transition>
            <div class="farmer-count farmer-count--percent">{{ item.percent }} %</div>
            <div class="farmer-count farmer-count--decimal">
              {{ item.user_count }}
              <svg-icon icon-class="people-dark-green" />
            </div>
          </div>
        </el-col>
      </el-row>
  </div>
</template>
<script>
export default {
  name: 'Institution',
  created() {
    this.$store.dispatch('intermediasiRoleGroup', {});
    this.$store.dispatch('intermediasiRole', {});
  },
  data() {
    return {
      intermediasiRoleGroupColor: ['blue', 'red', 'green'],
      intermediasiRoleGroupColSize: [6, 3, 3]
    };
  },
  computed: {
    intermediasiRoleGroup: {
      get: function() {
        return this.$store.state.intermediasi.intermediasiRoleGroup;
      }
    },
    intermediasiRole: {
      get: function() {
        return this.$store.state.intermediasi.intermediasiRole;
      }
    }
  },
  methods: {
    getIntermediasiRole: function(id) {
      if (this.intermediasiRole == null || typeof this.intermediasiRole === 'undefined') {
        return [];
      }
      return this.intermediasiRole[id];
    },
    getIntermediasiRoleGroupColor: function(id, prefix, suffix) {
      if (id > this.intermediasiRoleGroupColor.length) {
        return prefix + this.intermediasiRoleGroupColor[this.intermediasiRoleGroupColor.length - 1] + suffix;
      }
      return prefix + this.intermediasiRoleGroupColor[id - 1] + suffix;
    },
    getIntermediasiRoleGroupColSize: function(id, prefix, suffix) {
      if (id > this.intermediasiRoleGroupColSize.length) {
        return prefix + this.intermediasiRoleGroupColSize[this.intermediasiRoleGroupColSize.length - 1] + suffix;
      }
      return prefix + this.intermediasiRoleGroupColSize[id - 1] + suffix;
    }
  }
};
</script>
<style rel="stylesheet/scss" lang="scss" >
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.icon-blue, .icon-red {
  width: 48px;
  height: 48px;
  border-radius: 6px;
  background-color: #398adc;
  display: flex;
  justify-content: center;
  align-items: center;

  .svg-icon {
    width: 30px;
    height: 30px;
  }
}

.farmer-count {
  display: inline-block;
  color: $ritx-dark-green;
  font-weight: 700;
  margin-top: 10px;
  &--decimal {
    float: right;
  }
}
.mid {
  display: flex;
  align-items: center;
}
.progress {
  margin: 10px 0 16px 0;
}
.col-3 {
  width: calc(100% / 3);
  border-right: 1px solid $ritx-light-grey-3;
}
.col-6 {
  width: calc(100% / 6);
  border-right: 1px solid $ritx-light-grey-3;
  margin-bottom: 20px;
  height: 150px;
}
.row {
  margin: 0 -16px;
}
.pad, .progress-padd {
  padding: 0 20px;
}

.padd-icon-left {
  padding-left: 40px!important;
}
.padd-icon-right {
  padding-right: 40px!important;
  &.\-\-more {
    padding-left: 40px!important;
  }
}

.blue-text {
  color: #398adc;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
}
.red-text {
  color: #d85c35;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 10px;
}

.icon-red {
  background-color: #d85c35;
}
</style>
